import { z } from 'zod';
import type { ReleaseResult } from '../types';
export declare const PackageName: z.ZodEffects<z.ZodString, string, string>;
export declare const ComposerV2Release: z.ZodObject<{
    version: z.ZodString;
    homepage: z.ZodOptional<z.ZodString>;
    source: z.ZodOptional<z.ZodObject<{
        url: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        url: string;
    }, {
        url: string;
    }>>;
    time: z.ZodString;
}, "strip", z.ZodTypeAny, {
    source?: {
        url: string;
    } | undefined;
    homepage?: string | undefined;
    time: string;
    version: string;
}, {
    source?: {
        url: string;
    } | undefined;
    homepage?: string | undefined;
    time: string;
    version: string;
}>;
export declare const ComposerV2PackageResponse: z.ZodObject<{
    packages: z.ZodRecord<z.ZodEffects<z.ZodString, string, string>, z.ZodArray<z.ZodObject<{
        version: z.ZodString;
        homepage: z.ZodOptional<z.ZodString>;
        source: z.ZodOptional<z.ZodObject<{
            url: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            url: string;
        }, {
            url: string;
        }>>;
        time: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        source?: {
            url: string;
        } | undefined;
        homepage?: string | undefined;
        time: string;
        version: string;
    }, {
        source?: {
            url: string;
        } | undefined;
        homepage?: string | undefined;
        time: string;
        version: string;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    packages: Record<string, {
        source?: {
            url: string;
        } | undefined;
        homepage?: string | undefined;
        time: string;
        version: string;
    }[]>;
}, {
    packages: Record<string, {
        source?: {
            url: string;
        } | undefined;
        homepage?: string | undefined;
        time: string;
        version: string;
    }[]>;
}>;
export declare const ComposerV2ReleaseResult: z.ZodEffects<z.ZodArray<z.ZodObject<{
    packages: z.ZodRecord<z.ZodEffects<z.ZodString, string, string>, z.ZodArray<z.ZodObject<{
        version: z.ZodString;
        homepage: z.ZodOptional<z.ZodString>;
        source: z.ZodOptional<z.ZodObject<{
            url: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            url: string;
        }, {
            url: string;
        }>>;
        time: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        source?: {
            url: string;
        } | undefined;
        homepage?: string | undefined;
        time: string;
        version: string;
    }, {
        source?: {
            url: string;
        } | undefined;
        homepage?: string | undefined;
        time: string;
        version: string;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    packages: Record<string, {
        source?: {
            url: string;
        } | undefined;
        homepage?: string | undefined;
        time: string;
        version: string;
    }[]>;
}, {
    packages: Record<string, {
        source?: {
            url: string;
        } | undefined;
        homepage?: string | undefined;
        time: string;
        version: string;
    }[]>;
}>, "many">, ReleaseResult, {
    packages: Record<string, {
        source?: {
            url: string;
        } | undefined;
        homepage?: string | undefined;
        time: string;
        version: string;
    }[]>;
}[]>;
